Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.event
Class PanelListenerAdapter

    java.lang.Object
      com.gwtext.client.widgets.event.ComponentListenerAdapter
          com.gwtext.client.widgets.event.BoxComponentListenerAdapter
              com.gwtext.client.widgets.event.ContainerListenerAdapter
                  com.gwtext.client.widgets.event.PanelListenerAdapter

All Implemented Interfaces:
  BoxComponentListener, ComponentListener, ContainerListener, PanelListener

Direct Known Subclasses:
  FormPanelListenerAdapter, TabPanelListenerAdapter, TreePanelListenerAdapter, WindowListenerAdapter

    public class PanelListenerAdapter

extends ContainerListenerAdapter
implements PanelListener

`Panel` listener adapter.

Constructor Summary
`PanelListenerAdapter()`

Method Summary
`boolean` | `doBeforeClose(Panel panel)` Fires before the Panel is closed.
`boolean` | `doBeforeCollapse(Panel panel, boolean animate)` Fires before the Panel is collapsed.
`boolean` | `doBeforeExpand(Panel panel, boolean animate)` Fires before the Panel is expanded.
`void` | `onActivate(Panel panel)` Fires after the Panel has been visually activated.
`void` | `onBodyResize(Panel panel, java.lang.String width, java.lang.String height)` Fires after the Panel has been resized.
`void` | `onClose(Panel panel)` Fires after the Panel is closed.
`void` | `onCollapse(Panel panel)` Fires after the Panel has been collapsed.
`void` | `onDeactivate(Panel panel)` Fires after the Panel has been visually deactivated.
`void` | `onExpand(Panel panel)` Fires after the Panel has been expanded.
`void` | `onTitleChange(Panel panel, java.lang.String title)` Fires after the Panel title has been set or changed.

Methods inherited from class com.gwtext.client.widgets.event.ContainerListenerAdapter
`doBeforeAdd, doBeforeRemove, onAdd, onAfterLayout, onRemove`

Methods inherited from class com.gwtext.client.widgets.event.BoxComponentListenerAdapter
`onMove, onResize`

Methods inherited from class com.gwtext.client.widgets.event.ComponentListenerAdapter
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.gwtext.client.widgets.event.ContainerListener
`doBeforeAdd, doBeforeRemove, onAdd, onAfterLayout, onRemove`

Methods inherited from interface com.gwtext.client.widgets.event.BoxComponentListener
`onMove, onResize`

Methods inherited from interface com.gwtext.client.widgets.event.ComponentListener
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Constructor Detail

### PanelListenerAdapter

    public PanelListenerAdapter()

Method Detail

### onActivate

    public void onActivate(Panel panel)

  Description copied from interface: `PanelListener`
  Fires after the Panel has been visually activated. Note that Panels do not directly support being activated, but some Panel subclasses do (like Window). Panels which are child Components of a TabPanel fire the activate and deactivate events under the control of the TabPanel.

  Specified by:
    `onActivate` in interface `PanelListener`
  Parameters:
    `panel` - this

### doBeforeClose

    public boolean doBeforeClose(Panel panel)

  Description copied from interface: `PanelListener`
  Fires before the Panel is closed. Note that Panels do not directly support being closed, but some Panel subclasses do (like Window). This event only applies to such subclasses. A handler can return false to cancel the close.
  Note: that if you want to capture the closing of a tab in a `TabPanel`, you must listner for the `ContainerListener.doBeforeRemove(com.gwtext.client.widgets.Container, com.gwtext.client.widgets.Component)` event because closing a tab doesnt close the TabPanel, it just removes it from the parent TabPanel.

  Specified by:
    `doBeforeClose` in interface `PanelListener`
  Parameters:
    `panel` - this
  Returns:
    false to cancel

### doBeforeCollapse

    public boolean doBeforeCollapse(Panel panel,
                                    boolean animate)

  Description copied from interface: `PanelListener`
  Fires before the Panel is collapsed. A handler can return false to cancel the collapse.

  Specified by:
    `doBeforeCollapse` in interface `PanelListener`
  Parameters:
    `panel` - this
    `animate` - true if collapse is animated
  Returns:
    false to cancel

### doBeforeExpand

    public boolean doBeforeExpand(Panel panel,
                                  boolean animate)

  Description copied from interface: `PanelListener`
  Fires before the Panel is expanded. A handler can return false to cancel the expand.

  Specified by:
    `doBeforeExpand` in interface `PanelListener`
  Parameters:
    `panel` - this
    `animate` - true if expand animated
  Returns:
    false to cancel

### onBodyResize

    public void onBodyResize(Panel panel,
                             java.lang.String width,
                             java.lang.String height)

  Description copied from interface: `PanelListener`
  Fires after the Panel has been resized.

  Specified by:
    `onBodyResize` in interface `PanelListener`
  Parameters:
    `panel` - this
    `width` - the new width
    `height` - the new height

### onClose

    public void onClose(Panel panel)

  Description copied from interface: `PanelListener`
  Fires after the Panel is closed. Note that Panels do not directly support being closed, but some Panel subclasses do (like Window).
  Note: that if you want to capture the closing of a tab in a `TabPanel`, you must listner for the `ContainerListener.onRemove(com.gwtext.client.widgets.Container, com.gwtext.client.widgets.Component)` event because closing a tab doesnt close the TabPanel, it just removes it from the parent TabPanel.

  Specified by:
    `onClose` in interface `PanelListener`
  Parameters:
    `panel` - this

### onCollapse

    public void onCollapse(Panel panel)

  Description copied from interface: `PanelListener`
  Fires after the Panel has been collapsed.

  Specified by:
    `onCollapse` in interface `PanelListener`
  Parameters:
    `panel` - this

### onDeactivate

    public void onDeactivate(Panel panel)

  Description copied from interface: `PanelListener`
  Fires after the Panel has been visually deactivated. Note that Panels do not directly support being deactivated, but some Panel subclasses do (like Window). Panels which are child Components of a TabPanel fire the activate and deactivate events under the control of the TabPanel.

  Specified by:
    `onDeactivate` in interface `PanelListener`
  Parameters:
    `panel` - this

### onExpand

    public void onExpand(Panel panel)

  Description copied from interface: `PanelListener`
  Fires after the Panel has been expanded.

  Specified by:
    `onExpand` in interface `PanelListener`
  Parameters:
    `panel` - this

### onTitleChange

    public void onTitleChange(Panel panel,
                              java.lang.String title)

  Description copied from interface: `PanelListener`
  Fires after the Panel title has been set or changed.

  Specified by:
    `onTitleChange` in interface `PanelListener`
  Parameters:
    `panel` - this
    `title` - the new title

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD